Bug 1754252 - amdgpu fails to resume on 5.2 kernel [regression]
Summary: amdgpu fails to resume on 5.2 kernel [regression]
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-22 08:47 UTC by Pierre Ossman
Modified: 2020-11-24 16:58 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:58:00 UTC
Type: Bug


Attachments (Terms of Use)
dmesg (130.87 KB, text/plain)
2019-09-22 08:47 UTC, Pierre Ossman
no flags Details
dmesg log from F32 kernel 5.7 (121.88 KB, text/plain)
2020-07-06 20:10 UTC, snw35
no flags Details

Description Pierre Ossman 2019-09-22 08:47:22 UTC
Created attachment 1617723 [details]
dmesg

The upgrade to the 5.2 series of the kernel has unfortunately made my system unusable. After resuming the system from suspend the display goes green and is unresponsive locally. It is still up though so I was able to reach it via the network and get some logs out of it.

Tested bad kernels:

5.2.15-200.fc30
5.2.9-200.fc30

Known good kernels:

5.0.17-300.fc30
5.1.18-300.fc30
5.1.20-300.fc30

dmesg attached.

Found some other bug reports both here and upstream with similar warnings in dmesg, but they seem to be failing right away and not after a suspend. So I'm not sure if it's the same issue.

Comment 1 Pierre Ossman 2019-10-08 15:19:37 UTC
Has anyone had the time to have a look at this? It's a bit annoying having to keep an eye on not booting a bad kernel.

Comment 2 Justin M. Forbes 2020-03-03 16:25:58 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.5.7-100.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 3 Pierre Ossman 2020-03-04 19:48:24 UTC
Still present I'm afraid. Tested with 5.5.7-200.fc31.x86_64.

Comment 4 Pierre Ossman 2020-06-08 18:28:47 UTC
I'm happy to report that after an upgrade to Fedora 32 I can no longer reproduce this issue.

For reference:

kernel-5.6.15-300.fc32.x86_64
mesa-libGL-20.0.7-1.fc32.x86_64
kodi-18.7-1.fc32.x86_64

Comment 5 snw35 2020-07-06 20:08:15 UTC
I'm seeing this exact same issue on Fedora 32 on Kernels 5.6 and now 5.7.

I have dual 4K monitors connected to a Radeon RX 5500 GPU (AMD Navi 14), running on Wayland.

Specifically, the machine is unable to resume from any kind of operation that turns the monitors off. I've had to turn off powersaving or screen locking and have them on permanently.

When resume was attempted on kernel 5.6, the monitors would come on with the right screen bright green and the left one black, and nothing would restore the session.

Now on Kernel 5.7, the same happens initially, but after a few seconds the login screen appears with green artefacts all over it, with both screens flickering. Switching to another TTY and back a few times seems to fix this, and I'm then able to log in again.

Kernel: 5.7.7-200.fc32.x86_64
Mesa: mesa-libGL.x86_64 20.1.2-1.fc32

Comment 6 snw35 2020-07-06 20:10:27 UTC
Created attachment 1700073 [details]
dmesg log from F32 kernel 5.7

Comment 7 Ben Cotton 2020-11-03 15:35:36 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-11-24 16:58:00 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.